Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/25/2021 in all areas

  1. Load lee's and use the following (defun C:deletetestblock () (setq doc (vla-get-activedocument (vlax-get-acad-object))) (LM:deleteblocks doc '("testblock")) )
    1 point
  2. Load the lisp. type delblocks it will allow you to pick a block. if you choose the name option it will open a menu to pick the names out of a list. if your drawing has alot of blocks use the filter at the bottom to narrow the list of blocks that contain whats in the filter. in your lisp im guessing you just want to automatically purge it when you open a drawing? add a vl-load-com to that bad boy and you should be good. (ax:purge-block (vla-get-activedocument (vlax-get-acad-object)) "BLOCKNAME")
    1 point
  3. As the lisp doesn't create or import the blocks it inserts I'm assuming they're already in the drawing by way of a default template drawing. It would need to be attached before we could attempt to debug the lisp. (IF (and (>= (ANGLE POI POI1) (/ 11 7)) (<= (ANGLE POI POI1) (/ 33 7)) ) (SETQ MH "MH") (SETQ MH "MH") ) sets global variable MH to the string "MH" whether the if statement is True or not then (command "-insert" MH attempts to insert a block MH which is actually defined as a string. I find it hard to believe this code ever worked. Lisp hasn't changed that much.
    1 point
  4. Free code known as Google but code will probably need some tweaking. It does exist.
    1 point
  5. Try this ; Autocad (setq index 0 lst '()) (while (setq fname (vl-registry-read (strcat "HKEY_CURRENT_USER\\" (vlax-product-key) "\\Recent File List\\") (setq valuename (strcat "File" (itoa (setq index (1+ index))))) ) ) (setq lst (cons fname lst)) ) (setq lst (reverse lst)) ; Note Bricscad uses recent paths (setq index 0 lst '()) (while (setq fname (vl-registry-read (strcat "HKEY_CURRENT_USER\\" (vlax-product-key) "\\Recent Paths\\") (setq valuename (strcat "File" (itoa (setq index (1+ index))))) ) ) (setq lst (cons fname lst)) ) (setq lst (reverse lst))
    1 point
  6. You could use a entmake the difference being the extra codes for width when adding the dxf 10 values. Handy if adding lots of points and fast. (10 280.0 32.0) (40 . 0.0) (41 . 2.0) (42 . 0.0) (91 . 0)
    1 point
  7. Close (vl-cmdf "_.Pline" "0,0" "W" "0" "2" "10,10" "") Edit -- This will allow you to pick other points but allow default to 0,0 and 10,10 if you don't pick anything (defun C:Foo (/ PT1 PT2) (or (setq PT1 (getpoint "\nSpecify Base Point: ")) (setq PT1 "0,0")) (or (setq PT2 (getpoint "\nSpecify End Point: ")) (setq PT2 "10,10")) (vl-cmdf "_.Pline" PT1 "W" "0" "2" PT2 "") (princ) )
    1 point
  8. I did it! Everything corresponds to the terms of reference - add a word in the middle of all selected rectangles And the genius in Paint But seriously: 1. You need to attach a sample dwg file 2. The forum helps, and does not just do it for everyone. You must try to make the Lisp yourself and you will be corrected and helped.
    1 point
  9. 1 point
  10. No. But why do you need this? AutoCAD will show you up to the last 50 recent files, this is built into the Application Menu.
    1 point
  11. In a nutshell, annotative text gives you multiple copies of the same text item, each at a different scale. You can define the assortment of scales for each item. If the text in a viewport is annotative and doesn't match the viewport scale, it doesn't appear in that viewport. If the scales do match, you see the copy at the appropriate scale. To enable annotative text, you must toggle it for that text object. You automatically get the current scale, so pay attention to that. You can then add whichever scales you need. The mechanism depends on how you like to work. In the Properties window, for instance, the Annotative property and scale list are under Misc. If you have any questions, don't hesitate to ask. Annotation can be a confusing topic.
    1 point
×
×
  • Create New...